package org.nl.acs.device_driver.basedriver.standard_conveyor_control;

import org.nl.acs.device.device_driver.standard_inspect.ItemDto;
import org.nl.acs.device.domain.Device;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.defination.OpcDeviceDriverDefination;
import org.nl.acs.device.enums.DeviceType;
import org.springframework.stereotype.Service;

import java.util.LinkedList;
import java.util.List;

/**
 * 检测站点驱动定义
 * 说明：该站点为普通带光电检测站点
 */
@Service
public class StandardConveyorControlDefination implements OpcDeviceDriverDefination {
    @Override
    public String getDriverCode() {
        return "standard_conveyor_control";
    }

    @Override
    public String getDriverName() {
        return "标准版-输送机-控制点";
    }

    @Override
    public String getDriverDescription() {
        return "标准版-输送机-控制点";
    }

    @Override
    public DeviceDriver getDriverInstance(Device device) {
        return (new StandardCoveyorControlDeviceDriver()).setDevice(device).setDriverDefination(this);

    }

    @Override
    public Class<? extends DeviceDriver> getDeviceDriverType() {
        return StandardCoveyorControlDeviceDriver.class;
    }

    @Override
    public List<DeviceType> getFitDeviceTypes() {
        List<DeviceType> types = new LinkedList();
        types.add(DeviceType.conveyor);
        return types;
    }

    @Override
    public List<ItemDto> getReadableItemDtos() {
        return ItemProtocol.getReadableItemDtos();
    }


    @Override
    public List<ItemDto> getWriteableItemDtos() {
        return ItemProtocol.getWriteableItemDtos();
    }

}
